np_client_free
np_client_new
np_client_start_service
np_client_t
np_error_t
np_notify_cb_t
np_observe_notification
np_observe_notifications
np_post_notification
NP_SERVICE_NAME
np_set_notify_callback

## np_client_free()

LIBIMOBILEDEVICE_API np_error_t np_client_free | ( | np_client_t | client | ) |

Disconnects a notification_proxy client from the device and frees up the notification_proxy client data.

Parameters

  client | The notification_proxy client to disconnect and free.

Returns
  NP_E_SUCCESS on success, or NP_E_INVALID_ARG when client is NULL.